.btn {
    &,
    &:link,
    &:visited {
        display: inline-block;
        text-transform: capitalize;
        text-align: center;
        text-decoration: none;
        color: $color-white;
        font-family: inherit;
        outline: none;
    }

    &--main {
        font-size: 2rem;
        background-color: rgba($color-secondary-dark, 0.6);
        padding: 1.8rem 9.5rem;
        border: 3px solid $color-white;
        transition: all .2s;

        &:hover {
            transform: translateY(-0.3rem);
            color: $color-primary;
            border: 3px solid $color-primary;

        }

        &:active,
        &:focus {
            transform: translateY(-0.1rem);
        }

    }

    &--submit {
        height: 100%;
        display: flex;
        align-items: center;
        font-size: 1.8rem;
        background-color: $color-secondary-dark;
        padding-left: 3rem;
        padding-right: 3rem;
        border: none;

        &:hover {
            color: $color-primary;
        }
    }

}


.form-wrapper {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: $color-white;
    padding: 4rem 3rem;

}

.form {
    width: 75%;
    height: 7rem;
    display: flex;


    &__input {
        width: 80%;
        height: 100%;
        background-color: $color-primary-light;
        border: 2px solid $color-secondary-dark;
        padding-left: 2.5rem;


        &:focus {
            outline: none;
            border: 2px solid $color-primary;
        }

        &:focus:invalid {
            border: 2px solid red;
        }

        &::-webkit-input-placeholder {
            font-size: 1.6rem;
            color: $color-black;
        }

    }
}

